﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Advantest R6871E: (180 days) VER IEEE /5700A+5725A
DATE:                  2017-02-06 11:13:46
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       40
NUMBER OF LINES:       974
CONFIGURATION:         Fluke 5700A
CONFIGURATION:         Fluke 5725A
=============================================================================
#
#  Procedure Author:
#        VY
#
#  This procedure contains the following tests whose Test Uncertainty Ratio
#  are less than 4:1.
#              10 Ohm Range
#                     10 Ohm;       TUR 2.2857
#              100 Ohm Range
#                     100 Ohm;      TUR 3.7647
#
#  Source(s):
#        Advantest R6871E Series Digital Multi-Meter
#        Instruction Manual, Manual Number OEA0 9301
#
#  Compatibility:
#        MET/CAL 7.11 SP1 (7.11j) or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#                                  NOTE
# The IF statements used throughout this procedure to check for errors after
# the call to "Sub Advantest R6871E Send Command IEEE" and "Sub Advantest
#  R6871E Get Reading IEEE" must remain at the same procedure level
# as the TARGET statements. DO NOT move these statements to a subprocedure
# even though they seem redundant. Doing so WILL cause the "Repeat" option
# in post test NOT to work properly.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.002  ASK+           K

  1.003  MATH         PUT("Req_METCAL_Version", "7.11j")
  1.004  CALL         Sub Check MET/CAL Version

  1.005  IF           GET("METCAL_Version_OK") != 1
  1.006  DISP         This procedure requires MET/CAL 7.11 SP1 (7.11j) or
  1.006  DISP         later.
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Pause on Failed Tests
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  DISP         Ensure a minimum UUT warm-up time of at least
  1.013  DISP         60 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  TARGET
  1.016  CALL         Sub Advantest R6871E Setup IEEE

  1.017  DISP         Place the FRONT/REAR switch in the FRONT (OUT) position.
  1.017  DISP
  1.017  DISP         Place the LO-G switch in the OPEN (OUT) position.

# Set 10 s timeout for Sub Advantest R6871E Send Command IEEE and Sub
# Advantest R6871E Get reading IEEE.
  1.018  MATH         PUT("Timeout", 10000)

# Initial the setting of UUT
  1.019  MATH         PUT("Cmd_Str", "Z")
  1.020  CALL         Sub Advantest R6871E Send Command IEEE

  1.021  IF           GET("Error")
  1.022  MATH         MEM2 = GET("Err_Msg")
  1.023  DISP         [MEM2]
  1.023  DISP
  1.023  DISP         Select "Advance" to proceed.
  1.023  DISP
  1.023  DISP         Select "Terminate" to repeat or abort the procedure.
  1.024  ENDIF

# set the single sample mode and turn off the header of data output
  1.025  MATH         PUT("Cmd_Str", "H0M1")
  1.026  CALL         Sub Advantest R6871E Send Command IEEE

  1.027  IF           GET("Error")
  1.028  MATH         MEM2 = GET("Err_Msg")
  1.029  DISP         [MEM2]
  1.029  DISP
  1.029  DISP         Select "Advance" to proceed.
  1.029  DISP
  1.029  DISP         Select "Terminate" to repeat or abort the procedure.
  1.030  ENDIF

  1.031  MATH         PUT("Model_Num", "R6871E")
  1.032  CALL         Sub Advantest R6871E (180 days) DCV VER IEEE /5700

  1.033  RSLT         =
  1.034  HEAD         {AC VOLTAGE TESTS}
  1.035  RSLT         =
  1.036  HEAD         AC VOLTAGE TESTS:{ 200 mV Range}
  1.037  TARGET       -p
  1.038  MATH         PUT("Cmd_Str", "F2R3RE5IT2")
  1.039  CALL         Sub Advantest R6871E Send Command IEEE

  1.040  IF           GET("Error")
  1.041  MATH         MEM2 = GET("Err_Msg")
  1.042  DISP         [MEM2]
  1.042  DISP
  1.042  DISP         Select "Advance" to proceed.
  1.042  DISP
  1.042  DISP         Select "Terminate" to repeat or abort the procedure.
  1.043  ENDIF

  1.044  5700         190.000mV                    45H                  S  2W
  1.045  WAIT         -t 5 System Settling ...
  1.046  TARGET       -m
  1.047  CALL         Sub Advantest R6871E Get Reading IEEE

  1.048  IF           GET("Error")
  1.049  MATH         MEM2 = GET("Err_Msg")
  1.050  DISP         [MEM2]
  1.050  DISP
  1.050  DISP         Select "Advance" to proceed.
  1.050  DISP
  1.050  DISP         Select "Terminate" to repeat or abort the procedure.
  1.051  ENDIF

  1.052  MATH         MEM = MEM / 1E-3
  1.053  MEMCX  200   190.000mV      0.35% 0.190U  45H

  2.001  5700         190.000mV                    300H                 S  2W
  2.002  WAIT         -t 5 System Settling ...
  2.003  TARGET       -m
  2.004  CALL         Sub Advantest R6871E Get Reading IEEE

  2.005  IF           GET("Error")
  2.006  MATH         MEM2 = GET("Err_Msg")
  2.007  DISP         [MEM2]
  2.007  DISP
  2.007  DISP         Select "Advance" to proceed.
  2.007  DISP
  2.007  DISP         Select "Terminate" to repeat or abort the procedure.
  2.008  ENDIF

  2.009  MATH         MEM = MEM / 1E-3
  2.010  MEMCX  200   190.000mV      0.2% 0.090U   300H

  3.001  5700         190.000mV                    10kH                 S  2W
  3.002  WAIT         -t 5 System Settling ...
  3.003  TARGET       -m
  3.004  CALL         Sub Advantest R6871E Get Reading IEEE

  3.005  IF           GET("Error")
  3.006  MATH         MEM2 = GET("Err_Msg")
  3.007  DISP         [MEM2]
  3.007  DISP
  3.007  DISP         Select "Advance" to proceed.
  3.007  DISP
  3.007  DISP         Select "Terminate" to repeat or abort the procedure.
  3.008  ENDIF

  3.009  MATH         MEM = MEM / 1E-3
  3.010  MEMCX  200   190.000mV      0.2% 0.090U   10kH

  4.001  5700         190.000mV                    100kH                S  2W
  4.002  WAIT         -t 5 System Settling ...
  4.003  TARGET       -m
  4.004  CALL         Sub Advantest R6871E Get Reading IEEE

  4.005  IF           GET("Error")
  4.006  MATH         MEM2 = GET("Err_Msg")
  4.007  DISP         [MEM2]
  4.007  DISP
  4.007  DISP         Select "Advance" to proceed.
  4.007  DISP
  4.007  DISP         Select "Terminate" to repeat or abort the procedure.
  4.008  ENDIF

  4.009  MATH         MEM = MEM / 1E-3
  4.010  MEMCX  200   190.000mV      1% 0.900U     100kH

  5.001  5700         190.000mV                    1MH                  S  2W
  5.002  WAIT         -t 5 System Settling ...
  5.003  TARGET       -m
  5.004  CALL         Sub Advantest R6871E Get Reading IEEE

  5.005  IF           GET("Error")
  5.006  MATH         MEM2 = GET("Err_Msg")
  5.007  DISP         [MEM2]
  5.007  DISP
  5.007  DISP         Select "Advance" to proceed.
  5.007  DISP
  5.007  DISP         Select "Terminate" to repeat or abort the procedure.
  5.008  ENDIF

  5.009  MATH         MEM = MEM / 1E-3
  5.010  MEMCX  200   190.000mV      8% 4.000U     1MH

  6.001  RSLT         =
  6.002  HEAD         AC VOLTAGE TESTS:{ 2000 mV Range}
  6.003  TARGET       -p
  6.004  MATH         PUT("Cmd_Str", "F2R4RE5IT2")
  6.005  CALL         Sub Advantest R6871E Send Command IEEE

  6.006  IF           GET("Error")
  6.007  MATH         MEM2 = GET("Err_Msg")
  6.008  DISP         [MEM2]
  6.008  DISP
  6.008  DISP         Select "Advance" to proceed.
  6.008  DISP
  6.008  DISP         Select "Terminate" to repeat or abort the procedure.
  6.009  ENDIF

  6.010  5700         1900.00mV                    45H                  S  2W
  6.011  WAIT         -t 5 System Settling ...
  6.012  TARGET       -m
  6.013  CALL         Sub Advantest R6871E Get Reading IEEE

  6.014  IF           GET("Error")
  6.015  MATH         MEM2 = GET("Err_Msg")
  6.016  DISP         [MEM2]
  6.016  DISP
  6.016  DISP         Select "Advance" to proceed.
  6.016  DISP
  6.016  DISP         Select "Terminate" to repeat or abort the procedure.
  6.017  ENDIF

  6.018  MEMCX  2000  1900.00mV      0.35% 1.90U   45H

  7.001  5700         190.000mV                    300H                 S  2W
  7.002  WAIT         -t 5 System Settling ...
  7.003  TARGET       -m
  7.004  CALL         Sub Advantest R6871E Get Reading IEEE

  7.005  IF           GET("Error")
  7.006  MATH         MEM2 = GET("Err_Msg")
  7.007  DISP         [MEM2]
  7.007  DISP
  7.007  DISP         Select "Advance" to proceed.
  7.007  DISP
  7.007  DISP         Select "Terminate" to repeat or abort the procedure.
  7.008  ENDIF

  7.009  MEMCX  200   1900.00mV      0.2% 0.90U    300H

  8.001  5700         1900.00mV                    10kH                 S  2W
  8.002  WAIT         -t 5 System Settling ...
  8.003  TARGET       -m
  8.004  CALL         Sub Advantest R6871E Get Reading IEEE

  8.005  IF           GET("Error")
  8.006  MATH         MEM2 = GET("Err_Msg")
  8.007  DISP         [MEM2]
  8.007  DISP
  8.007  DISP         Select "Advance" to proceed.
  8.007  DISP
  8.007  DISP         Select "Terminate" to repeat or abort the procedure.
  8.008  ENDIF

  8.009  MEMCX  200   1900.00mV      0.2% 0.90U    10kH

  9.001  5700         1900.00mV                    100kH                S  2W
  9.002  WAIT         -t 5 System Settling ...
  9.003  TARGET       -m
  9.004  CALL         Sub Advantest R6871E Get Reading IEEE

  9.005  IF           GET("Error")
  9.006  MATH         MEM2 = GET("Err_Msg")
  9.007  DISP         [MEM2]
  9.007  DISP
  9.007  DISP         Select "Advance" to proceed.
  9.007  DISP
  9.007  DISP         Select "Terminate" to repeat or abort the procedure.
  9.008  ENDIF

  9.009  MEMCX  200   1900.00mV      1% 9.00U      100kH

 10.001  5700         1900.00mV                    1MH                  S  2W
 10.002  WAIT         -t 5 System Settling ...
 10.003  TARGET       -m
 10.004  CALL         Sub Advantest R6871E Get Reading IEEE

 10.005  IF           GET("Error")
 10.006  MATH         MEM2 = GET("Err_Msg")
 10.007  DISP         [MEM2]
 10.007  DISP
 10.007  DISP         Select "Advance" to proceed.
 10.007  DISP
 10.007  DISP         Select "Terminate" to repeat or abort the procedure.
 10.008  ENDIF

 10.009  MEMCX  200   1900.00mV      8% 40.00U     1MH

 11.001  RSLT         =
 11.002  HEAD         AC VOLTAGE TESTS:{ 20 V Range}
 11.003  TARGET       -p
 11.004  MATH         PUT("Cmd_Str", "F2R5RE5IT2")
 11.005  CALL         Sub Advantest R6871E Send Command IEEE

 11.006  IF           GET("Error")
 11.007  MATH         MEM2 = GET("Err_Msg")
 11.008  DISP         [MEM2]
 11.008  DISP
 11.008  DISP         Select "Advance" to proceed.
 11.008  DISP
 11.008  DISP         Select "Terminate" to repeat or abort the procedure.
 11.009  ENDIF

 11.010  5700         19.0000V                     45H                  S  2W
 11.011  WAIT         -t 5 System Settling ...
 11.012  TARGET       -m
 11.013  CALL         Sub Advantest R6871E Get Reading IEEE

 11.014  IF           GET("Error")
 11.015  MATH         MEM2 = GET("Err_Msg")
 11.016  DISP         [MEM2]
 11.016  DISP
 11.016  DISP         Select "Advance" to proceed.
 11.016  DISP
 11.016  DISP         Select "Terminate" to repeat or abort the procedure.
 11.017  ENDIF

 11.018  MEMCX  20    19.0000V       0.35% 0.0190U 45H

 12.001  5700         19.0000V                     300H                 S  2W
 12.002  WAIT         -t 5 System Settling ...
 12.003  TARGET       -m
 12.004  CALL         Sub Advantest R6871E Get Reading IEEE

 12.005  IF           GET("Error")
 12.006  MATH         MEM2 = GET("Err_Msg")
 12.007  DISP         [MEM2]
 12.007  DISP
 12.007  DISP         Select "Advance" to proceed.
 12.007  DISP
 12.007  DISP         Select "Terminate" to repeat or abort the procedure.
 12.008  ENDIF

 12.009  MEMCX  20    19.0000V       0.2% 0.0090U  300H

 13.001  5700         19.0000V                     10kH                 S  2W
 13.002  WAIT         -t 5 System Settling ...
 13.003  TARGET       -m
 13.004  CALL         Sub Advantest R6871E Get Reading IEEE

 13.005  IF           GET("Error")
 13.006  MATH         MEM2 = GET("Err_Msg")
 13.007  DISP         [MEM2]
 13.007  DISP
 13.007  DISP         Select "Advance" to proceed.
 13.007  DISP
 13.007  DISP         Select "Terminate" to repeat or abort the procedure.
 13.008  ENDIF

 13.009  MEMCX  20    19.0000V       0.2% 0.0090U  10kH

 14.001  5700         19.0000V                     100kH                S  2W
 14.002  WAIT         -t 5 System Settling ...
 14.003  TARGET       -m
 14.004  CALL         Sub Advantest R6871E Get Reading IEEE

 14.005  IF           GET("Error")
 14.006  MATH         MEM2 = GET("Err_Msg")
 14.007  DISP         [MEM2]
 14.007  DISP
 14.007  DISP         Select "Advance" to proceed.
 14.007  DISP
 14.007  DISP         Select "Terminate" to repeat or abort the procedure.
 14.008  ENDIF

 14.009  MEMCX  20    19.0000V       1% 0.0900U    100kH

 15.001  5700         19.0000V                     1MH                  S  2W
 15.002  WAIT         -t 5 System Settling ...
 15.003  TARGET       -m
 15.004  CALL         Sub Advantest R6871E Get Reading IEEE

 15.005  IF           GET("Error")
 15.006  MATH         MEM2 = GET("Err_Msg")
 15.007  DISP         [MEM2]
 15.007  DISP
 15.007  DISP         Select "Advance" to proceed.
 15.007  DISP
 15.007  DISP         Select "Terminate" to repeat or abort the procedure.
 15.008  ENDIF

 15.009  MEMCX  20    19.0000V       8% 0.4000U    1MH

 16.001  RSLT         =
 16.002  HEAD         AC VOLTAGE TESTS:{ 200 V Range}
 16.003  TARGET       -p
 16.004  MATH         PUT("Cmd_Str", "F2R6RE5IT2")
 16.005  CALL         Sub Advantest R6871E Send Command IEEE

 16.006  IF           GET("Error")
 16.007  MATH         MEM2 = GET("Err_Msg")
 16.008  DISP         [MEM2]
 16.008  DISP
 16.008  DISP         Select "Advance" to proceed.
 16.008  DISP
 16.008  DISP         Select "Terminate" to repeat or abort the procedure.
 16.009  ENDIF

 16.010  5700         190.000V                     45H                  S  2W
 16.011  WAIT         -t 5 System Settling ...
 16.012  TARGET       -m
 16.013  CALL         Sub Advantest R6871E Get Reading IEEE

 16.014  IF           GET("Error")
 16.015  MATH         MEM2 = GET("Err_Msg")
 16.016  DISP         [MEM2]
 16.016  DISP
 16.016  DISP         Select "Advance" to proceed.
 16.016  DISP
 16.016  DISP         Select "Terminate" to repeat or abort the procedure.
 16.017  ENDIF

 16.018  MEMCX  200   190.000V       0.35% 0.190U  45H

 17.001  5700         190.000V                     300H                 S  2W
 17.002  WAIT         -t 5 System Settling ...
 17.003  TARGET       -m
 17.004  CALL         Sub Advantest R6871E Get Reading IEEE

 17.005  IF           GET("Error")
 17.006  MATH         MEM2 = GET("Err_Msg")
 17.007  DISP         [MEM2]
 17.007  DISP
 17.007  DISP         Select "Advance" to proceed.
 17.007  DISP
 17.007  DISP         Select "Terminate" to repeat or abort the procedure.
 17.008  ENDIF

 17.009  MEMCX  200   190.000V       0.2% 0.090U   300H

 18.001  5700         190.000V                     10kH                 S  2W
 18.002  WAIT         -t 5 System Settling ...
 18.003  TARGET       -m
 18.004  CALL         Sub Advantest R6871E Get Reading IEEE

 18.005  IF           GET("Error")
 18.006  MATH         MEM2 = GET("Err_Msg")
 18.007  DISP         [MEM2]
 18.007  DISP
 18.007  DISP         Select "Advance" to proceed.
 18.007  DISP
 18.007  DISP         Select "Terminate" to repeat or abort the procedure.
 18.008  ENDIF

 18.009  MEMCX  200   190.000V       0.2% 0.090U   10kH

 19.001  5700         190.000V                     100kH                S  2W
 19.002  WAIT         -t 5 System Settling ...
 19.003  TARGET       -m
 19.004  CALL         Sub Advantest R6871E Get Reading IEEE

 19.005  IF           GET("Error")
 19.006  MATH         MEM2 = GET("Err_Msg")
 19.007  DISP         [MEM2]
 19.007  DISP
 19.007  DISP         Select "Advance" to proceed.
 19.007  DISP
 19.007  DISP         Select "Terminate" to repeat or abort the procedure.
 19.008  ENDIF

 19.009  MEMCX  200   190.000V       1% 0.900U     100kH

 20.001  RSLT         =
 20.002  HEAD         AC VOLTAGE TESTS:{ 500 V Range}
 20.003  TARGET       -p
 20.004  MATH         PUT("Cmd_Str", "F2R6RE5IT2")
 20.005  CALL         Sub Advantest R6871E Send Command IEEE

 20.006  IF           GET("Error")
 20.007  MATH         MEM2 = GET("Err_Msg")
 20.008  DISP         [MEM2]
 20.008  DISP
 20.008  DISP         Select "Advance" to proceed.
 20.008  DISP
 20.008  DISP         Select "Terminate" to repeat or abort the procedure.
 20.009  ENDIF

 20.010  5700         490.00V                      45H               B1 S  2W
 20.011  WAIT         -t 5 System Settling ...
 20.012  TARGET       -m
 20.013  CALL         Sub Advantest R6871E Get Reading IEEE

 20.014  IF           GET("Error")
 20.015  MATH         MEM2 = GET("Err_Msg")
 20.016  DISP         [MEM2]
 20.016  DISP
 20.016  DISP         Select "Advance" to proceed.
 20.016  DISP
 20.016  DISP         Select "Terminate" to repeat or abort the procedure.
 20.017  ENDIF

 20.018  MEMCX  200   490.00V        0.35% 1.90U   45H

 21.001  5700         490.00V                      300H                 S  2W
 21.002  WAIT         -t 5 System Settling ...
 21.003  TARGET       -m
 21.004  CALL         Sub Advantest R6871E Get Reading IEEE

 21.005  IF           GET("Error")
 21.006  MATH         MEM2 = GET("Err_Msg")
 21.007  DISP         [MEM2]
 21.007  DISP
 21.007  DISP         Select "Advance" to proceed.
 21.007  DISP
 21.007  DISP         Select "Terminate" to repeat or abort the procedure.
 21.008  ENDIF

 21.009  MEMCX  500   490.00V        0.2% 0.90U    300H

 22.001  5700         490.00V                      10kH              B1 S  2W
 22.002  WAIT         -t 5 System Settling ...
 22.003  TARGET       -m
 22.004  CALL         Sub Advantest R6871E Get Reading IEEE

 22.005  IF           GET("Error")
 22.006  MATH         MEM2 = GET("Err_Msg")
 22.007  DISP         [MEM2]
 22.007  DISP
 22.007  DISP         Select "Advance" to proceed.
 22.007  DISP
 22.007  DISP         Select "Terminate" to repeat or abort the procedure.
 22.008  ENDIF

 22.009  MEMCX  500   490.00V        0.2% 0.90U    10kH

 23.001  5700         490.00V                      100kH             B1 S  2W
 23.002  WAIT         -t 5 System Settling ...
 23.003  TARGET       -m
 23.004  CALL         Sub Advantest R6871E Get Reading IEEE

 23.005  IF           GET("Error")
 23.006  MATH         MEM2 = GET("Err_Msg")
 23.007  DISP         [MEM2]
 23.007  DISP
 23.007  DISP         Select "Advance" to proceed.
 23.007  DISP
 23.007  DISP         Select "Terminate" to repeat or abort the procedure.
 23.008  ENDIF

 23.009  MEMCX  200   490.00V        1% 9.00U      100kH
 24.001  JMPL         DC_CURRENT

 24.002  LABEL        4WIRE_RESISTANCE
 24.003  CALL         Sub Advantest R6871E (180 days) 4W Res VER IEEE /5700
 24.004  JMPL         END

 24.005  LABEL        DC_CURRENT
# Program 5700A current output from Aux output terminal.
 24.006  MMFC                                                              C2
 24.007  RSLT         =
 24.008  HEAD         {DC CURRENT TESTS}
 24.009  RSLT         =
 24.010  HEAD         DC CURRENT TESTS:{ 2000 µA Range}
 24.011  TARGET       -p
 24.012  MATH         PUT("Cmd_Str", "F5R4RES6IT4")
 24.013  CALL         Sub Advantest R6871E Send Command IEEE

 24.014  IF           GET("Error")
 24.015  MATH         MEM2 = GET("Err_Msg")
 24.016  DISP         [MEM2]
 24.016  DISP
 24.016  DISP         Select "Advance" to proceed.
 24.016  DISP
 24.016  DISP         Select "Terminate" to repeat or abort the procedure.
 24.017  ENDIF

 24.018  5700         1900.000uA                                        S  2W
 24.019  TARGET       -m
 24.020  CALL         Sub Advantest R6871E Get Reading IEEE

 24.021  IF           GET("Error")
 24.022  MATH         MEM2 = GET("Err_Msg")
 24.023  DISP         [MEM2]
 24.023  DISP
 24.023  DISP         Select "Advance" to proceed.
 24.023  DISP
 24.023  DISP         Select "Terminate" to repeat or abort the procedure.
 24.024  ENDIF

 24.025  MATH         MEM = MEM / 1E-6
 24.026  MEMCX  2000  1900.000uA     0.13% 0.035U

 25.001  5700         -1900.000uA                                       S  2W
 25.002  TARGET       -m
 25.003  CALL         Sub Advantest R6871E Get Reading IEEE

 25.004  IF           GET("Error")
 25.005  MATH         MEM2 = GET("Err_Msg")
 25.006  DISP         [MEM2]
 25.006  DISP
 25.006  DISP         Select "Advance" to proceed.
 25.006  DISP
 25.006  DISP         Select "Terminate" to repeat or abort the procedure.
 25.007  ENDIF

 25.008  MATH         MEM = MEM / 1E-6
 25.009  MEMCX  2000  -1900.000uA    0.13% 0.035U

 26.001  RSLT         =
 26.002  HEAD         DC CURRENT TESTS:{ 20 mA Range}
 26.003  TARGET       -p
 26.004  MATH         PUT("Cmd_Str", "F5R5")
 26.005  CALL         Sub Advantest R6871E Send Command IEEE

 26.006  IF           GET("Error")
 26.007  MATH         MEM2 = GET("Err_Msg")
 26.008  DISP         [MEM2]
 26.008  DISP
 26.008  DISP         Select "Advance" to proceed.
 26.008  DISP
 26.008  DISP         Select "Terminate" to repeat or abort the procedure.
 26.009  ENDIF

 26.010  5700         19.00000mA                                        S  2W
 26.011  TARGET       -m
 26.012  CALL         Sub Advantest R6871E Get Reading IEEE

 26.013  IF           GET("Error")
 26.014  MATH         MEM2 = GET("Err_Msg")
 26.015  DISP         [MEM2]
 26.015  DISP
 26.015  DISP         Select "Advance" to proceed.
 26.015  DISP
 26.015  DISP         Select "Terminate" to repeat or abort the procedure.
 26.016  ENDIF

 26.017  MATH         MEM = MEM / 1E-3
 26.018  MEMCX  20    19.00000mA     .11% .00035U

 27.001  5700         -19.00000mA                                       S  2W
 27.002  TARGET       -m
 27.003  CALL         Sub Advantest R6871E Get Reading IEEE

 27.004  IF           GET("Error")
 27.005  MATH         MEM2 = GET("Err_Msg")
 27.006  DISP         [MEM2]
 27.006  DISP
 27.006  DISP         Select "Advance" to proceed.
 27.006  DISP
 27.006  DISP         Select "Terminate" to repeat or abort the procedure.
 27.007  ENDIF

 27.008  MATH         MEM = MEM / 1E-3
 27.009  MEMCX  20    -19.00000mA    .11% .00035U

 28.001  RSLT         =
 28.002  HEAD         DC CURRENT TESTS:{ 200 mA Range}
 28.003  TARGET       -p
 28.004  MATH         PUT("Cmd_Str", "F5R5")
 28.005  CALL         Sub Advantest R6871E Send Command IEEE

 28.006  IF           GET("Error")
 28.007  MATH         MEM2 = GET("Err_Msg")
 28.008  DISP         [MEM2]
 28.008  DISP
 28.008  DISP         Select "Advance" to proceed.
 28.008  DISP
 28.008  DISP         Select "Terminate" to repeat or abort the procedure.
 28.009  ENDIF

 28.010  5700         190.0000mA                                        S  2W
 28.011  TARGET       -m
 28.012  CALL         Sub Advantest R6871E Get Reading IEEE

 28.013  IF           GET("Error")
 28.014  MATH         MEM2 = GET("Err_Msg")
 28.015  DISP         [MEM2]
 28.015  DISP
 28.015  DISP         Select "Advance" to proceed.
 28.015  DISP
 28.015  DISP         Select "Terminate" to repeat or abort the procedure.
 28.016  ENDIF

 28.017  MATH         MEM = MEM / 1E-3
 28.018  MEMCX  200   190.0000mA     .075% .0035U

 29.001  5700         -190.0000mA                                       S  2W
 29.002  TARGET       -m
 29.003  CALL         Sub Advantest R6871E Get Reading IEEE

 29.004  IF           GET("Error")
 29.005  MATH         MEM2 = GET("Err_Msg")
 29.006  DISP         [MEM2]
 29.006  DISP
 29.006  DISP         Select "Advance" to proceed.
 29.006  DISP
 29.006  DISP         Select "Terminate" to repeat or abort the procedure.
 29.007  ENDIF

 29.008  MATH         MEM = MEM / 1E-3
 29.009  MEMCX  200   -190.0000mA    .075% .0035U

 30.001  RSLT         =
 30.002  HEAD         DC CURRENT TESTS:{ 2000 mA Range}
 30.003  TARGET       -p
 30.004  MATH         PUT("Cmd_Str", "F5R4RES6IT4")
 30.005  CALL         Sub Advantest R6871E Send Command IEEE

 30.006  IF           GET("Error")
 30.007  MATH         MEM2 = GET("Err_Msg")
 30.008  DISP         [MEM2]
 30.008  DISP
 30.008  DISP         Select "Advance" to proceed.
 30.008  DISP
 30.008  DISP         Select "Terminate" to repeat or abort the procedure.
 30.009  ENDIF

 30.010  5700         1900.000mA                                        S  2W
 30.011  TARGET       -m
 30.012  CALL         Sub Advantest R6871E Get Reading IEEE

 30.013  IF           GET("Error")
 30.014  MATH         MEM2 = GET("Err_Msg")
 30.015  DISP         [MEM2]
 30.015  DISP
 30.015  DISP         Select "Advance" to proceed.
 30.015  DISP
 30.015  DISP         Select "Terminate" to repeat or abort the procedure.
 30.016  ENDIF

 30.017  MATH         MEM = MEM / 1E-3
 30.018  MEMCX  2000  1900.000mA     0.115% 0.035U

 31.001  5700         -1900.000mA                                       S  2W
 31.002  TARGET       -m
 31.003  CALL         Sub Advantest R6871E Get Reading IEEE

 31.004  IF           GET("Error")
 31.005  MATH         MEM2 = GET("Err_Msg")
 31.006  DISP         [MEM2]
 31.006  DISP
 31.006  DISP         Select "Advance" to proceed.
 31.006  DISP
 31.006  DISP         Select "Terminate" to repeat or abort the procedure.
 31.007  ENDIF

 31.008  MATH         MEM = MEM / 1E-3
 31.009  MEMCX  2000  -1900.000mA    0.115% 0.035U

 32.001  RSLT         =
 32.002  HEAD         {AC CURRENT TESTS}
 32.003  RSLT         =
 32.004  HEAD         AC CURRENT TESTS:{ 2000 µA Range}
 32.005  TARGET       -p
 32.006  MATH         PUT("Cmd_Str", "F6R4RES5IT4")
 32.007  CALL         Sub Advantest R6871E Send Command IEEE

 32.008  IF           GET("Error")
 32.009  MATH         MEM2 = GET("Err_Msg")
 32.010  DISP         [MEM2]
 32.010  DISP
 32.010  DISP         Select "Advance" to proceed.
 32.010  DISP
 32.010  DISP         Select "Terminate" to repeat or abort the procedure.
 32.011  ENDIF

 32.012  5700         1900.00uA                    45H                  S  2W
 32.013  TARGET       -m
 32.014  CALL         Sub Advantest R6871E Get Reading IEEE

 32.015  IF           GET("Error")
 32.016  MATH         MEM2 = GET("Err_Msg")
 32.017  DISP         [MEM2]
 32.017  DISP
 32.017  DISP         Select "Advance" to proceed.
 32.017  DISP
 32.017  DISP         Select "Terminate" to repeat or abort the procedure.
 32.018  ENDIF

 32.019  MATH         MEM = MEM / 1E-6
 32.020  MEMCX  2000  1900.00uA      0.65% 2.00U   45H

 33.001  5700         1900.00uA                    5kH                  S  2W
 33.002  TARGET       -m
 33.003  CALL         Sub Advantest R6871E Get Reading IEEE

 33.004  IF           GET("Error")
 33.005  MATH         MEM2 = GET("Err_Msg")
 33.006  DISP         [MEM2]
 33.006  DISP
 33.006  DISP         Select "Advance" to proceed.
 33.006  DISP
 33.006  DISP         Select "Terminate" to repeat or abort the procedure.
 33.007  ENDIF

 33.008  MATH         MEM = MEM / 1E-6
 33.009  MEMCX  2000  1900.00uA      0.5% 2.00U    5kH

 34.001  RSLT         =
 34.002  HEAD         AC CURRENT TESTS:{ 20 mA Range}
 34.003  TARGET       -p
 34.004  MATH         PUT("Cmd_Str", "F6R5")
 34.005  CALL         Sub Advantest R6871E Send Command IEEE

 34.006  IF           GET("Error")
 34.007  MATH         MEM2 = GET("Err_Msg")
 34.008  DISP         [MEM2]
 34.008  DISP
 34.008  DISP         Select "Advance" to proceed.
 34.008  DISP
 34.008  DISP         Select "Terminate" to repeat or abort the procedure.
 34.009  ENDIF

 34.010  5700         19.0000mA                    45H                  S  2W
 34.011  TARGET       -m
 34.012  CALL         Sub Advantest R6871E Get Reading IEEE

 34.013  IF           GET("Error")
 34.014  MATH         MEM2 = GET("Err_Msg")
 34.015  DISP         [MEM2]
 34.015  DISP
 34.015  DISP         Select "Advance" to proceed.
 34.015  DISP
 34.015  DISP         Select "Terminate" to repeat or abort the procedure.
 34.016  ENDIF

 34.017  MATH         MEM = MEM / 1E-3
 34.018  MEMCX  20    19.0000mA      0.65% 0.0200U 45H

 35.001  5700         19.0000mA                    5kH                  S  2W
 35.002  TARGET       -m
 35.003  CALL         Sub Advantest R6871E Get Reading IEEE

 35.004  IF           GET("Error")
 35.005  MATH         MEM2 = GET("Err_Msg")
 35.006  DISP         [MEM2]
 35.006  DISP
 35.006  DISP         Select "Advance" to proceed.
 35.006  DISP
 35.006  DISP         Select "Terminate" to repeat or abort the procedure.
 35.007  ENDIF

 35.008  MATH         MEM = MEM / 1E-3
 35.009  MEMCX  20    19.0000mA      0.5% 0.2000U  5kH

 36.001  RSLT         =
 36.002  HEAD         AC CURRENT TESTS:{ 200 mA Range}
 36.003  TARGET       -p
 36.004  MATH         PUT("Cmd_Str", "F6R5")
 36.005  CALL         Sub Advantest R6871E Send Command IEEE

 36.006  IF           GET("Error")
 36.007  MATH         MEM2 = GET("Err_Msg")
 36.008  DISP         [MEM2]
 36.008  DISP
 36.008  DISP         Select "Advance" to proceed.
 36.008  DISP
 36.008  DISP         Select "Terminate" to repeat or abort the procedure.
 36.009  ENDIF

 36.010  5700         190.000mA                    45H                  S  2W
 36.011  TARGET       -m
 36.012  CALL         Sub Advantest R6871E Get Reading IEEE

 36.013  IF           GET("Error")
 36.014  MATH         MEM2 = GET("Err_Msg")
 36.015  DISP         [MEM2]
 36.015  DISP
 36.015  DISP         Select "Advance" to proceed.
 36.015  DISP
 36.015  DISP         Select "Terminate" to repeat or abort the procedure.
 36.016  ENDIF

 36.017  MATH         MEM = MEM / 1E-3
 36.018  MEMCX  200   190.000mA      0.65% 0.200U  45H

 37.001  5700         190.000mA                    5kH                  S  2W
 37.002  TARGET       -m
 37.003  CALL         Sub Advantest R6871E Get Reading IEEE

 37.004  IF           GET("Error")
 37.005  MATH         MEM2 = GET("Err_Msg")
 37.006  DISP         [MEM2]
 37.006  DISP
 37.006  DISP         Select "Advance" to proceed.
 37.006  DISP
 37.006  DISP         Select "Terminate" to repeat or abort the procedure.
 37.007  ENDIF

 37.008  MATH         MEM = MEM / 1E-3
 37.009  MEMCX  200   190.000mA      0.5% 0.200U   5kH

 38.001  RSLT         =
 38.002  HEAD         AC CURRENT TESTS:{ 2000 mA Range}
 38.003  TARGET       -p
 38.004  MATH         PUT("Cmd_Str", "F6R4")
 38.005  CALL         Sub Advantest R6871E Send Command IEEE

 38.006  IF           GET("Error")
 38.007  MATH         MEM2 = GET("Err_Msg")
 38.008  DISP         [MEM2]
 38.008  DISP
 38.008  DISP         Select "Advance" to proceed.
 38.008  DISP
 38.008  DISP         Select "Terminate" to repeat or abort the procedure.
 38.009  ENDIF

 38.010  5700         1900.00mA                    45H                  S  2W
 38.011  TARGET       -m
 38.012  CALL         Sub Advantest R6871E Get Reading IEEE

 38.013  IF           GET("Error")
 38.014  MATH         MEM2 = GET("Err_Msg")
 38.015  DISP         [MEM2]
 38.015  DISP
 38.015  DISP         Select "Advance" to proceed.
 38.015  DISP
 38.015  DISP         Select "Terminate" to repeat or abort the procedure.
 38.016  ENDIF

 38.017  MATH         MEM = MEM / 1E-3
 38.018  MEMCX  2000  1900.00mA      0.65% 2.00U   45H

 39.001  5700         1900.000mA                   5kH                  S  2W
 39.002  TARGET       -m
 39.003  CALL         Sub Advantest R6871E Get Reading IEEE

 39.004  IF           GET("Error")
 39.005  MATH         MEM2 = GET("Err_Msg")
 39.006  DISP         [MEM2]
 39.006  DISP
 39.006  DISP         Select "Advance" to proceed.
 39.006  DISP
 39.006  DISP         Select "Terminate" to repeat or abort the procedure.
 39.007  ENDIF

 39.008  MATH         MEM = MEM / 1E-3
 39.009  MEMCX  2000  1900.00mA      0.5% 2.00U    5kH
 40.001  MMFC         *
 40.002  JMPL         4WIRE_RESISTANCE

 40.003  LABEL        END
 40.004  MATH         PUT("Cmd_Str", "Z")
 40.005  CALL         Sub Advantest R6871E Send Command IEEE

 40.006  IF           GET("Error")
 40.007  MATH         MEM2 = GET("Err_Msg")
 40.008  DISP         [MEM2]
 40.008  DISP
 40.008  DISP         Select "Advance" to proceed.
 40.008  DISP
 40.008  DISP         Select "Terminate" to repeat or abort the procedure.
 40.009  ENDIF

 40.010  DISP         V E R I F I C A T I O N   C O M P L E T E
 40.011  END
